Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006322TestLinkReportspublic2014-05-05 13:172018-10-06 12:17
Reportergagliam 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.10 (2014 Q1 - bug fixing) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0006322: Images in a Reports
DescriptionIf I build the test report in an HTML format, the attached images are printed in a right way, the sizes are correct. If I built the same report in word format, the attached images are printed in a wrong size, and you can’t resize it in WinWord.
The same behavior happens if I print requirement spec.
Steps To ReproducePrinting a test report with an image inside in word/openoffice format.
TagsIMAGES ON REPORTS
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox
PHP Version5.5.9
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon html.jpg [^] (71,023 bytes) 2014-05-05 13:17


jpg file icon word.jpg [^] (21,088 bytes) 2014-05-05 13:17

- Relationships
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0020942)
fman (administrator)
2014-05-05 19:10
edited on: 2014-05-05 19:11

1. reported do not need to monitor his/her own issue
2. Word is not really a word doc, but an HTML that 'lies' to the browser.
   My advice is do not use this format (ok, we need to remove it on future)

3. try to use less generic issue subjects (give a look to our guidelines on forum.testlink.org)

(0027853)
fman (administrator)
2018-09-15 09:04

Good news, it seems solution can be simple => getting image size & specifying it explicitly using width & height =>
https://stackoverflow.com/questions/17686771/how-can-i-resize-an-image-in-an-html-generated-word-document-whilst-retaining-th [^]
(0027854)
fman (administrator)
2018-09-15 09:34

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/41cad5e3876581380a36506d843968efa4cb8279 [^]
(0027932)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2014-05-05 13:17 gagliam New Issue
2014-05-05 13:17 gagliam File Added: html.jpg
2014-05-05 13:17 gagliam File Added: word.jpg
2014-05-05 19:10 fman Note Added: 0020942
2014-05-05 19:11 fman Note Edited: 0020942 View Revisions
2014-10-18 17:22 fman Tag Attached: IMAGES ON REPORTS
2018-09-15 09:04 fman Note Added: 0027853
2018-09-15 09:34 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-09-15 09:34 fman Note Added: 0027854
2018-09-15 09:34 fman Status new => resolved
2018-09-15 09:34 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-09-15 09:34 fman Resolution open => fixed
2018-09-15 09:34 fman Assigned To => fman
2018-09-16 11:01 fman Relationship added child of 0008241
2018-10-06 12:17 fman Note Added: 0027932
2018-10-06 12:17 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker